/*
 * Sunpath.h
 *
 *  Created on: 25.11.2013
 *      Author: luoc
 */

#ifndef SUNPATH_H_
#define SUNPATH_H_

#include "Arduino.h"
#include <Time.h>

#define AXIAL_TILT 23.44

class Sunpath {
private:
        float longitude;
        float latitude;
        boolean leapYear(time_t t); // returns true if the given year is a leap year
public:
	Sunpath(float longitude, float latitude);
        double getAzimuth(time_t currentTimeUTC); // returns the horizontal angle of the sun related to north (clockwise)
        double getElevationAngle(time_t currentTimeUTC); // returns the vertical angle of the sun related to the horizon
        time_t getTimeSolar(time_t currentTime); // returns the solar Time for the set Longitude
	virtual ~Sunpath();
};

#endif /* SUNPATH_H_ */
