#include <Time.h>
#include "Sunpath.h"

time_t time;
Sunpath fkb = Sunpath(8.8, 51.06); // 35066 Frankenberg (Eder) - Germany
Sunpath berlin = Sunpath(13.41, 52.52); // Berlin - Germany
Sunpath london = Sunpath(-0.12, 51.51); // London - United Kingdom
Sunpath newyork = Sunpath(-74.01, 40.71); // New York - USA
Sunpath rio = Sunpath(-43.2, -22.91); // Rio De Janeiro - Brazil

void setup() 
{
  Serial.begin(9600);
  setTime(11,20,0,21,7,1994);
  time = now();
  
  Serial.print("UTC-time:\t");
  digitalClockDisplay(time);
  Serial.print("\n\n");
  
  Serial.print("place\t\tsolar time\t\thorizontal angle\tvertical angle\n\n");
  
  Serial.print("Frankenberg");
  Serial.print("\t");
  digitalClockDisplay(fkb.getTimeSolar(time));
  Serial.print('\t');
  Serial.print(fkb.getAzimuth(time));
  Serial.print("\t\t\t");
  Serial.print(fkb.getElevationAngle(time));
  Serial.print('\n');
  
  Serial.print("Berlin");
  Serial.print("\t\t");
  digitalClockDisplay(berlin.getTimeSolar(time));
  Serial.print('\t');
  Serial.print(berlin.getAzimuth(time));
  Serial.print("\t\t\t");
  Serial.print(berlin.getElevationAngle(time));
  Serial.print('\n');
  
  Serial.print("London");
  Serial.print("\t\t");
  digitalClockDisplay(london.getTimeSolar(time));
  Serial.print('\t');
  Serial.print(london.getAzimuth(time));
  Serial.print("\t\t\t");
  Serial.print(london.getElevationAngle(time));
  Serial.print('\n');
  
  Serial.print("New York");
  Serial.print("\t");
  digitalClockDisplay(newyork.getTimeSolar(time));
  Serial.print('\t');
  Serial.print(newyork.getAzimuth(time));
  Serial.print("\t\t\t");
  Serial.print(newyork.getElevationAngle(time));
  Serial.print('\n');
  
  Serial.print("Rio De Janeiro");
  Serial.print("\t");
  digitalClockDisplay(rio.getTimeSolar(time));
  Serial.print('\t');
  Serial.print(rio.getAzimuth(time));
  Serial.print("\t\t\t");
  Serial.print(rio.getElevationAngle(time));
  Serial.print('\n');
}

void loop() 
{

}

void digitalClockDisplay(time_t temp){
  // digital clock display of the time
  printDigits(hour(temp));
  Serial.print(":");
  printDigits(minute(temp));
  Serial.print(":");
  printDigits(second(temp));
  Serial.print(" - ");
  Serial.print(day(temp));
  Serial.print(".");
  Serial.print(month(temp));
  Serial.print(".");
  Serial.print(year(temp));
}

void printDigits(int digits){
  // utility function for digital clock display: prints preceding colon and leading 0
  if(digits < 10)
    Serial.print('0');
  Serial.print(digits);
}
